Skip to content

Retrieve payout report statements

In case you’re using bank payment refunds, card payments and/or BLIK, Montonio will collect payments on behalf of your store. Those payments will be regularly paid out to your bank account as payouts.

We understand that it’s important to understand what orders belong to a specific payout. That’s why we have created this endpoint to download the payout export files.

1. List payouts

Allows you to list the latest payouts for your store.

The request must contain the authentication headers you can find a reference here on how to make them.

The endpoint:

Terminal window
GET /stores/:storeUuid/payouts?limit=50&offset=0&order=DESC

Request parameters:

KeyRequiredType/Example valuesDescription
:storeUuidyesstringValue matches to your store uuid, can be found in the partner system
limityesnumberMust be a number smaller than 150
offsetyesnumberAllows you to paginate results, setting offset > 0 will skip a number of records equal to the limit parameter
orderyesASC/DESCASC for ascending order and DESC for descending order
orderBynocreatedAt/settlementType/totalAmount/statusThe field by which the response objects are ordered

An example response:

{
"payouts": [
{
"uuid": "671d9d42-7751-4a52-8734-d6eb250c3eea",
"storeUuid": "b9ae2ec0-641c-421d-9a78-202bd59614d9",
"storeName": "Shared Dev Store",
"storeLegalName": "Shared Dev Store LLC",
"iban": "MK88001061647941675",
"accountName": "Shared Dev Store LLC",
"status": "SUCCESSFUL",
"settlementType": "montonioMoneyMovement",
"paymentsAmount": "43333.00",
"refundsAmount": "32500.00",
"totalAmount": "130000.00",
"currency": "EUR",
"expectedArrivalDate": null,
"createdAt": "2023-09-20T12:26:06.813Z"
}
]
}

2. Export payouts

Allows you to download underlying orders that are included in a certain payout.
The file can be .xlsx, .xml, csv or json

The request must contain the authentication headers you can find a reference here on how to make them.

The endpoint:

Terminal window
GET /stores/:storeUuid/payouts/:payoutUuid/export-:payoutType

Request parameters

KeyRequiredTypeDescription
:storeUuidyesstringValue matches to your store uuid, can be found in the partner system
:payoutUuidyesstringValue matches a specific payout uuid, can be fetched from the list payouts endpoint
:payoutTypeyesexcel/xml/json/csvThe type of export

Example endpoint:

GET /stores/b9ae2ec0-641c-421d-9a78-202bd59614d9/payouts/97ed2a77-d3db-40a0-96a8-3e8417a340e0/export-excel

Example response structure:

{
"url": "https://s3.eu-central-1.amazonaws.com/data.tmp.montonio.com/<UUID>.xlsx?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AAAAAAAA%2F20230925%2Feu-central-1%2Fs3%2Faws4_request&X-Amz-Date=20230925T084014Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Security-Token=AAAA&X-Amz-Signature=SSSSSSS",
}

3. Get store payout balances

Allows you to retrieve the payout balances for bank payment refunds, card payments and BLIK.

The request has to contain the authentication headers. You can find a guide on how to add them here.

The endpoint:

Terminal window
GET /store-balances

An example response:

{
"store": {
"uuid": "74e498c8-8d80-4b79-a4ba-ae2c12bbe50d",
"name": "ShopName",
"legalName": "Shop legal name LLC"
},
"balances": {
"stripe": [
{
"currency": "EUR",
"balance": 0
}
],
"montonioMoneyMovement": [
{
"currency": "EUR",
"balance": 33
},
{
"currency": "PLN",
"balance": 280
}
]
}
}